Bug 556292

Summary: "Britain" isn't a country
Product: [Fedora] Fedora Reporter: Bastien Nocera <bnocera>
Component: mobile-broadband-provider-infoAssignee: Dan Williams <dcbw>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: dcbw, raud
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 14:49:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Bastien Nocera 2010-01-17 17:32:08 UTC
mobile-broadband-provider-info-1.20090918-1.fc12.noarch

"Britain (UK)" isn't a country. Please put "United Kingdom" or (at worst) "Great Britain".

Comment 1 Bug Zapper 2010-03-15 14:06:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Dan Williams 2010-04-29 23:42:42 UTC
Unfortunately this data comes from the country code of Great Britain (GB) and is looked up in /usr/share/zoneinfo/iso3166.tab which as this mapping:

GB      Britain (UK)

So I guess we should move this over to iso3166.tab.  Somehow I doubt they would change it since people commonly refer to the country as any one of United Kingdom, England (ignoring Scotland and Wales of course) or Great Britain.

But hacked around upstream as:

6af243a11c19e5bdd5c297ad9f79b74c5e5cf70a

Comment 3 Dan Williams 2010-04-29 23:43:23 UTC
The hack-around is in network-manager-applet though, not mobile-broadband-provider-info just uses 2-letter country codes, while the name comes from the iso3166.tab.

Comment 4 Fedora Update System 2011-02-18 20:52:35 UTC
mobile-broadband-provider-info-1.20110218-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mobile-broadband-provider-info-1.20110218-1.fc13

Comment 5 Fedora Update System 2011-02-19 01:23:27 UTC
mobile-broadband-provider-info-1.20110218-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mobile-broadband-provider-info'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mobile-broadband-provider-info-1.20110218-1.fc13

Comment 6 Bug Zapper 2011-06-02 16:50:47 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:49:16 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.